View Issue Details

IDProjectCategoryView StatusLast Update
0004313Slicer4Module SubjectHierarchypublic2017-11-29 14:34
ReporterpinterAssigned Topinter 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSlicer 4.6.2 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004313: Move edited segmentation to the study of the master volume
Description

It makes sense hierarchically, and this will make DICOM export easier (no need to drag&drop).

Also it would be a nice feature to let the user know in time of DICOM export that patient and study if necessary (in form of a message label or similar), if the exported node is not under a study (I could create a different issue for this, but it's such a small feature).

TagsNo tags attached.

Activities

lassoan

lassoan

2017-09-27 12:22

developer   ~0015178

@pinter Do you think you could implement this for the upcoming stable release in a few weeks?

pinter

pinter

2017-11-23 15:28

developer   ~0015439

PR made: https://github.com/Slicer/Slicer/pull/847

pinter

pinter

2017-11-29 14:34

developer   ~0015450

Implemented in https://github.com/Slicer/Slicer/commit/9ccdf7b0a50519f7b4e350bf9c423c06d8b6ccce

Issue History

Date Modified Username Field Change
2016-12-06 10:54 pinter New Issue
2016-12-06 10:54 pinter Status new => assigned
2016-12-06 10:54 pinter Assigned To => pinter
2017-09-27 12:22 lassoan Note Added: 0015178
2017-10-18 01:08 jcfr Target Version Slicer 4.7.0 => Slicer 4.9.0
2017-11-23 15:28 pinter Note Added: 0015439
2017-11-29 14:34 pinter Status assigned => closed
2017-11-29 14:34 pinter Resolution open => fixed
2017-11-29 14:34 pinter Fixed in Version => Slicer 4.9.0
2017-11-29 14:34 pinter Note Added: 0015450